### Method

# Gio TlsConnection handshake_finish

since: 2.28

#### Declaration

    gboolean
    g_tls_connection_handshake_finish (
      GTlsConnection* conn,
      GAsyncResult* result,
      GError** error
    )

#### Description

Finish an asynchronous TLS handshake operation. See `g_tls_connection_handshake()` for more information.

Available since: 2.28

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure, in which case `error` will be set.